Name: H5Tget_member_class
Signature:
  H5T_class_t `H5Tget_member_class`( hid_t `cdtype_id`, unsigned `member_no` )
Purpose:
  Returns datatype class of compound datatype member.
Description:
  Given a compound datatype, `cdtype_id`, the function `H5Tget_member_class` returns the datatype class of the compound datatype member specified by `member_no`.

  Valid class identifiers are as defined in `H5Tget_class`.

Parameters:

hid_t `cdtype_id` | IN: Datatype identifier of compound object.
unsigned `member_no` | IN: Compound object member number.

Returns:
  Returns the datatype class, a non-negative value, if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_member_class_f

      SUBROUTINE h5tget_member_class_f(type_id, member_no, class, hdferr)
        INTEGER(HID_T), INTENT(IN) :: type_id       ! Datatype identifier
        INTEGER, INTENT(IN) :: member_no            ! Member number
        INTEGER, INTENT(OUT) :: class               ! Member class
        INTEGER, INTENT(OUT) :: hdferr              ! Error code
      END SUBROUTINE h5tget_member_class_f

History:

Release | C
1.6.4 | `membno` parameter type changed to unsigned.